Uploaded image for project: 'Camel'
  1. Camel
  2. CAMEL-11976

Align pdfbox versions to 2.0.6

    XMLWordPrintableJSON

Details

    • Bug
    • Status: Resolved
    • Trivial
    • Resolution: Fixed
    • None
    • 2.21.0
    • None
    • None
    • Unknown

    Description

      org.apache.pdfbox is currently used by the following components

      • camel-fop uses org.apache.pdfbox:pdfbox 1.8.13
      • camel-pdf uses org.apache.pdfbox:pdfbox 1.8.13
      • camel-tika transitively depends on
        • org.apache.pdfbox:pdfbox 2.0.6
        • org.apache.pdfbox:fontbox 2.0.6
        • org.apache.pdfbox:pdfbox-tools 2.0.6
        • org.apache.pdfbox:pdfbox-debugger 2.0.6
        • and org.apache.pdfbox:jempbox 1.8.13

      Because pdfbox 2.0 is not backwards compatible with 1.8 we are not able to add Tika to WildFly Camel, where we already have camel-pdf and camel-fop.

      I propose to align all the above artifacts to 2.0.6, except for jempbox that has to stay on 1.8.13, because there is no jempbox in pdfbox 2.0.

      Attachments

        Activity

          People

            ppalaga Peter Palaga
            ppalaga Peter Palaga
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: